Subject: [Tsvwg] Errata for RFC 3448, "TCP Friendly Rate Control (TFRC)"

From: Sally Floyd <[email-masked]>
Date: Mon, 07 Jun 2004 12:17:32 -0700

This is a notice that I am sending in an Errata to the
RFC Editor for RFC 3448.  This is from errata that has been
on the TFRC web page for over a year, but that I have never
managed to send in the RFC Editor for the "RFC Errata" web page.   
FYI.

- Sally
http://www.icir.org/tfrc/

The RFC 3448 Errata:

RFC 3448, TCP Friendly Rate Control (TFRC): Protocol Specification

Reported By: Joerg Widmer
Date: March 4, 2003

* Nofeedback timeout:  Correct an inconsistency in the document.

In Section 4:

"If the sender does not receive a feedback report for two round
trip times, it cuts its sending rate in half."

Should be: 

"If the sender does not receive a feedback report for four round
trip times, it cuts its sending rate in half."

Reported By: Mark Handley, from Wim Heirman
Date: March 13, 2003

In Section 4.4, item (2):

      If the nofeedback timer expires when the sender does not yet have
      an RTT sample, and has not yet received any feedback from the
      receiver,

Should be:

      If the nofeedback timer expires when the sender does not yet have
      an RTT sample, and has not yet received any feedback from the
      receiver, or when p == 0,

Reported By: Sally Floyd, from Michele R.
Date: April 29, 2003

* In Section 5.5, when initializing DF, initialize from 0 to n, not from 
* 1 to n:

In Section 5.5:

      for (i = 1 to n) {
        DF_i = 1;
      }

Should be: 

      for (i = 0 to n) {
        DF_i = 1;
      }

_______________________________________________
tsvwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tsvwg